package de.intevation.flys.client.shared.model;

import java.io.Serializable;

public class FacetFilter
implements   Serializable
{
    protected String name;
    protected String num;

    public FacetFilter() {
    }

    public FacetFilter(String name, String num) {
        this.name = name;
        this.num  = num;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    protected static boolean equals(String a, String b) {
        if (a == null && b == null) return true;
        if (a == null && b != null) return false;
        if (a != null && b == null) return false;
        return a.equals(b);
    }

    public boolean equals(Object other) {
        if (!(other instanceof FacetFilter)) {
            return false;
        }
        FacetFilter o = (FacetFilter)other;
        return equals(o.name, name) && equals(o.num, num);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
